glibmm 2.4: unicode.h File Reference

Main Page Widgets Namespaces Book

# unicode.h File Reference

## Namespaces
namespace | Glib
namespace | Glib::Unicode
namespace | Glib::Ascii
## Enumerations
enum | UnicodeType { UNICODE_CONTROL, UNICODE_FORMAT, UNICODE_UNASSIGNED, UNICODE_PRIVATE_USE, UNICODE_SURROGATE, UNICODE_LOWERCASE_LETTER, UNICODE_MODIFIER_LETTER, UNICODE_OTHER_LETTER, UNICODE_TITLECASE_LETTER, UNICODE_UPPERCASE_LETTER, UNICODE_COMBINING_MARK, UNICODE_ENCLOSING_MARK, UNICODE_NON_SPACING_MARK, UNICODE_DECIMAL_NUMBER, UNICODE_LETTER_NUMBER, UNICODE_OTHER_NUMBER, UNICODE_CONNECT_PUNCTUATION, UNICODE_DASH_PUNCTUATION, UNICODE_CLOSE_PUNCTUATION, UNICODE_FINAL_PUNCTUATION, UNICODE_INITIAL_PUNCTUATION, UNICODE_OTHER_PUNCTUATION, UNICODE_OPEN_PUNCTUATION, UNICODE_CURRENCY_SYMBOL, UNICODE_MODIFIER_SYMBOL, UNICODE_MATH_SYMBOL, UNICODE_OTHER_SYMBOL, UNICODE_LINE_SEPARATOR, UNICODE_PARAGRAPH_SEPARATOR, UNICODE_SPACE_SEPARATOR }
enum | UnicodeBreakType { UNICODE_BREAK_MANDATORY, UNICODE_BREAK_CARRIAGE_RETURN, UNICODE_BREAK_LINE_FEED, UNICODE_BREAK_COMBINING_MARK, UNICODE_BREAK_SURROGATE, UNICODE_BREAK_ZERO_WIDTH_SPACE, UNICODE_BREAK_INSEPARABLE, UNICODE_BREAK_NON_BREAKING_GLUE, UNICODE_BREAK_CONTINGENT, UNICODE_BREAK_SPACE, UNICODE_BREAK_AFTER, UNICODE_BREAK_BEFORE, UNICODE_BREAK_BEFORE_AND_AFTER, UNICODE_BREAK_HYPHEN, UNICODE_BREAK_NON_STARTER, UNICODE_BREAK_OPEN_PUNCTUATION, UNICODE_BREAK_CLOSE_PUNCTUATION, UNICODE_BREAK_QUOTATION, UNICODE_BREAK_EXCLAMATION, UNICODE_BREAK_IDEOGRAPHIC, UNICODE_BREAK_NUMERIC, UNICODE_BREAK_INFIX_SEPARATOR, UNICODE_BREAK_SYMBOL, UNICODE_BREAK_ALPHABETIC, UNICODE_BREAK_PREFIX, UNICODE_BREAK_POSTFIX, UNICODE_BREAK_COMPLEX_CONTEXT, UNICODE_BREAK_AMBIGUOUS, UNICODE_BREAK_UNKNOWN, UNICODE_BREAK_NEXT_LINE, UNICODE_BREAK_WORD_JOINER }
enum | AsciiType { ASCII_ALNUM = 1 << 0, ASCII_ALPHA = 1 << 1, ASCII_CNTRL = 1 << 2, ASCII_DIGIT = 1 << 3, ASCII_GRAPH = 1 << 4, ASCII_LOWER = 1 << 5, ASCII_PRINT = 1 << 6, ASCII_PUNCT = 1 << 7, ASCII_SPACE = 1 << 8, ASCII_UPPER = 1 << 9, ASCII_XDIGIT = 1 << 10 }
enum | NormalizeMode { NORMALIZE_DEFAULT, NORMALIZE_NFD, NORMALIZE_DEFAULT_COMPOSE, NORMALIZE_NFC = NORMALIZE_DEFAULT_COMPOSE, NORMALIZE_ALL, NORMALIZE_NFKD = NORMALIZE_ALL, NORMALIZE_ALL_COMPOSE, NORMALIZE_NFKC = NORMALIZE_ALL_COMPOSE }
## Functions
AsciiType | operator| (AsciiType lhs, AsciiType rhs)
AsciiType | operator& (AsciiType lhs, AsciiType rhs)
AsciiType | operator^ (AsciiType lhs, AsciiType rhs)
AsciiType | operator~ (AsciiType flags)
AsciiType& | operator|= (AsciiType& lhs, AsciiType rhs)
AsciiType& | operator&= (AsciiType& lhs, AsciiType rhs)
AsciiType& | operator^= (AsciiType& lhs, AsciiType rhs)
bool | validate (gunichar uc)
bool | isalnum (gunichar uc)
bool | isalpha (gunichar uc)
bool | iscntrl (gunichar uc)
bool | isdigit (gunichar uc)
bool | isgraph (gunichar uc)
bool | islower (gunichar uc)
bool | isprint (gunichar uc)
bool | ispunct (gunichar uc)
bool | isspace (gunichar uc)
bool | isupper (gunichar uc)
bool | isxdigit (gunichar uc)
bool | istitle (gunichar uc)
bool | isdefined (gunichar uc)
bool | iswide (gunichar uc)
gunichar | toupper (gunichar uc)
gunichar | tolower (gunichar uc)
gunichar | totitle (gunichar uc)
int | digit_value (gunichar uc)
int | xdigit_value (gunichar uc)
Glib::UnicodeType | type (gunichar uc)
Glib::UnicodeBreakType | break_type (gunichar uc)
bool | isalnum (char c)
bool | isalpha (char c)
bool | iscntrl (char c)
bool | isdigit (char c)
bool | isgraph (char c)
bool | islower (char c)
bool | isprint (char c)
bool | ispunct (char c)
bool | isspace (char c)
bool | isupper (char c)
bool | isxdigit (char c)
char | tolower (char c)
char | toupper (char c)
int | digit_value (char c)
int | xdigit_value (char c)

## Function Documentation

Glib::UnicodeBreakType break_type | ( | gunichar | uc | ) | `[inline]`

int digit_value | ( | char | c | ) | `[inline]`

int digit_value | ( | gunichar | uc | ) | `[inline]`

bool isalnum | ( | char | c | ) | `[inline]`

bool isalnum | ( | gunichar | uc | ) | `[inline]`

bool isalpha | ( | char | c | ) | `[inline]`

bool isalpha | ( | gunichar | uc | ) | `[inline]`

bool iscntrl | ( | char | c | ) | `[inline]`

bool iscntrl | ( | gunichar | uc | ) | `[inline]`

bool isdefined | ( | gunichar | uc | ) | `[inline]`

bool isdigit | ( | char | c | ) | `[inline]`

bool isdigit | ( | gunichar | uc | ) | `[inline]`

bool isgraph | ( | char | c | ) | `[inline]`

bool isgraph | ( | gunichar | uc | ) | `[inline]`

bool islower | ( | char | c | ) | `[inline]`

bool islower | ( | gunichar | uc | ) | `[inline]`

bool isprint | ( | char | c | ) | `[inline]`

bool isprint | ( | gunichar | uc | ) | `[inline]`

bool ispunct | ( | char | c | ) | `[inline]`

bool ispunct | ( | gunichar | uc | ) | `[inline]`

bool isspace | ( | char | c | ) | `[inline]`

bool isspace | ( | gunichar | uc | ) | `[inline]`

bool istitle | ( | gunichar | uc | ) | `[inline]`

bool isupper | ( | char | c | ) | `[inline]`

bool isupper | ( | gunichar | uc | ) | `[inline]`

bool iswide | ( | gunichar | uc | ) | `[inline]`

bool isxdigit | ( | char | c | ) | `[inline]`

bool isxdigit | ( | gunichar | uc | ) | `[inline]`

char tolower | ( | char | c | ) | `[inline]`

gunichar tolower | ( | gunichar | uc | ) | `[inline]`

gunichar totitle | ( | gunichar | uc | ) | `[inline]`

char toupper | ( | char | c | ) | `[inline]`

gunichar toupper | ( | gunichar | uc | ) | `[inline]`

Glib::UnicodeType type | ( | gunichar | uc | ) | `[inline]`

bool validate | ( | gunichar | uc | ) | `[inline]`

int xdigit_value | ( | char | c | ) | `[inline]`

int xdigit_value | ( | gunichar | uc | ) | `[inline]`